#
# spec file for package google-worksans-fonts
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fontname Work-Sans

Name:           google-worksans-fonts
Version:        1.6+git145.18037a0
Release:        1.1
Summary:        A Grotesque Sans Serif Font
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/weiweihuanghuang/Work-Sans
Source:         %fontname-%version.tar.xz
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Work Sans is a typeface family with 9 weights, and based loosely on
early Grotesques — for example, Stephenson Blake, Miller & Richard
and Bauerschen Giesserei.

Work Sans had been updated between 2018–2020 with accompanying italics, variable
font files and the character set had been expanded to the Google Latin Expert
glyph set, which supports Vietnamese.

%prep
%setup -q -n %{fontname}-%{version}
chmod -x *.md *.txt

%build

%install
install -m 0755 -d %{buildroot}%{_ttfontsdir}
install -p -m 0644 fonts/static/TTF/*.ttf %{buildroot}/%{_ttfontsdir}/

# call fonts-config after installation or deinstallation of this package
%reconfigure_fonts_scriptlets

%files
%doc README.md
%license OFL.txt
%{_ttfontsdir}

%changelog
* Wed Jun  3 2020 idonmez@suse.com
- Fix _service file to include TTF file instead of just overwriting
  the tarball.
- Use fixed revision 18037a0b49722b70379d9bca074fa4503fb136bd instead
  of master.
- Don't install WOFF files, TTF is good enough and in line with other
  fonts.
* Tue May 26 2020 qzhao@suse.com
- Pick TTF format fonts back: the desktop needs ttf to render gui
  program, This feature is necessary for SLE-15:SP2(jsc#SLE-12421,
  boo#1172154).
* Fri May  8 2020 jengelh@inai.de
- Adjust description for temporal grammar. Drop author list
  from description.
- Manual repackaging is nowhere documented, so switch to a
  _service file.
- Switch to the WOFF files, they are smaller and Leap 15.1 is
  able to handle WOFF 0.x & 1.x.
- Update to 1.6+git145.18037a0 (README update only)
* Tue Apr 14 2020 thomas.schraitle@suse.com
- Update to v1.6-144-g28b121c
  repackaged master.zip archive to include only the TTF files
  SHA256 sum can be viewed in the file fonts.sha256 in the source RPM.
* Tue Apr 14 2020 thomas.schraitle@suse.com
- First inital release 1.6
